
#include        "udp/tclUdp.h"
/*
 *----------------------------------------------------------------------
 *
 * Udp_Init --
 *
 *      This procedure performs library-specific initialization.
 *      Most applications, especially those that incorporate additional
 *      packages, will have their own version of this procedure.
 *
 * Results:
 *      Returns a standard Tcl completion code, and leaves an error
 *      message in interp->result if an error occurs.
 *
 * Side effects:
 *      Depends on the startup script.
 *
 *----------------------------------------------------------------------
 */
 

ET_PROC(Udp_Init)
{
    Tcl_CreateCommand(interp, "udp",
                      Tcl_UdpCmd,
                      (ClientData) NULL,
                      (Tcl_CmdDeleteProc *) NULL);
 
    return ET_OK;
}
