#ifndef _dvi_adpcm_h
#define _dvi_adpcm_h
/*
** adpcm.h - include file for adpcm coder.
**
** Version 1.0, 7-Jul-92.
*/
/* vat uses four bytes for state, so we do, too, to stay compatible */
struct dvi_adpcm_state {
  int16 valpred;    /* Previous predicted value */
  u_int8 index;     /* Index into stepsize table */
  u_int8 reserved;  /* reserved */ 
};

extern int dvi_adpcm_encode(void *in_buf, int in_size,
  audio_descr_t *, void *out_buf, int *out_size, void *state, int hflag);
extern int dvi_adpcm_decode(void *in_buf, int in_size, 
  audio_descr_t *, void *out_buf, int *out_size, void *state);
extern void *dvi_adpcm_init(void *, double);
#endif
