/*
xtoa  ---  convert numbers to character strings in some canonical format.

Copyright 1993 by AT&T Bell Laboratories; all rights reserved
*/
#include <stdio.h>   /* sprintf() */



/*
* Convert integer argument 'n' to character string.
* Returns pointer to static area.
*/
char *itoa(int n)
{
  static char b[10];
  sprintf(b, "%d", n);
  return b;
} /* itoa */


/*
* Convert floating-point argument 'x' to character string.
* Returns pointer to static area.
*/
char *ftoa(double x)
{
  static char b[10];
  sprintf(b, "%g", x);
  return b;
} /* ftoa */
