/* this file was machine generated from ./save.tcl */
/* on Sun Nov  8 15:44:58 CET 1998 by koepsel  */

char ./save_tcl[] = "\
set env(JSNLIB) /apps/lib/tkJason\n\
global dlist_ok dlist_dir\n\
proc createGUI {} {\n\
global env\n\
wm title . \"Jason Startup Menu\"\n\
wm iconname . \"Jason\"\n\
frame .logo -relief raised -borderwidth 1\n\
label .logo.lbl  \\\n\
-anchor e -padx 5\n\
pack .logo.lbl\n\
pack .logo -side left\n\
frame .fm -relief raised -borderwidth 1\n\
frame .fm.menu -relief raised -borderwidth 2\n\
menubutton .fm.menu.file -text \"File\" \\\n\
-underline 0 \\\n\
-menu .fm.menu.file.m\n\
menu .fm.menu.file.m\n\
.fm.menu.file.m add command \\\n\
-label \"Change Directory\" \\\n\
-command chgdirquery\n\
.fm.menu.file.m add command \\\n\
-label \"Save Settings\" \\\n\
-command savesettings\n\
.fm.menu.file.m add command \\\n\
-label \"Exit\" \\\n\
-command exit\n\
menubutton .fm.menu.apps -text \"Applications\" \\\n\
-underline 0 \\\n\
-menu .fm.menu.apps.m\n\
menu .fm.menu.apps.m\n\
.fm.menu.apps.m add command \\\n\
-label \"Seismic Lithology Workstation...\" \\\n\
-command start_jgw\n\
menubutton .fm.menu.util -text \"Utilities\" \\\n\
-underline 0 \\\n\
-menu .fm.menu.util.m\n\
menu .fm.menu.util.m \n\
.fm.menu.util.m add command \\\n\
-label \"Unix Window...\" \\\n\
-command start_xterm \n\
pack .fm.menu.file .fm.menu.apps .fm.menu.util -side left \\\n\
-pady 5\n\
pack .fm.menu -anchor e -side left -fill x -expand yes\n\
\n\
pack .fm -after .logo -expand yes -fill both\n\
frame .info -relief raised -borderwidth 1\n\
label .info.l1 -text \"Current directory: [pwd]\" -anchor e \\\n\
-pady 5 -padx 5\n\
pack .info.l1 -padx 5\n\
pack .info -side bottom -before .logo -fill x -expand yes\n\
}\n\
\n\
proc start_jgw {} {\n\
global env\n\
set cmdstr {/apps/bin/jason}\n\
exec csh -c $cmdstr &\n\
}\n\
\n\
proc start_xterm {} {\n\
global env\n\
set cmdstr {xterm}\n\
exec csh -c $cmdstr &\n\
}\n\
proc chgdirquery {} {\n\
global dlist_dir dlist_ok\n\
global env\n\
if {![winfo exists .save]} {\n\
createDirChoice .save $dlist_dir\n\
} else {\n\
wm deiconify .save\n\
}\n\
}\n\
proc dirSelHelpCmd {} {\n\
puts [format \"help is on the way\"]\n\
}\n\
proc savesettings {} {\n\
global env\n\
\n\
set fsave [open \"~/.jasonrc\" \"w\"]\n\
puts $fsave [format \"%s\" [pwd]]\n\
close $fsave\n\
}\n\
proc readsettings {} {\n\
global env\n\
global dlist_dir dlist_ok\n\
if {[file exists \"~/.jasonrc\"]} {\n\
set fsettings [open \"~/.jasonrc\" \"r\"]\n\
while {[gets $fsettings line] >= 0} {\n\
set dlist_dir $line\n\
}\n\
close $fsettings\n\
if {[file isdirectory $dlist_dir]} {\n\
cd $dlist_dir\n\
} else {\n\
puts stderr [format \"%s\" \"Directory $dlist_dir not found\"]\n\
puts stderr [format \"%s\" \"Will start Jason in current\n\
directory\"]\n\
}\n\
} else {\n\
set dlist_dir [pwd]\n\
}\n\
}\n\
proc createDirChoice {w $dlist_dir} {\n\
global dlist_dir\n\
set dlist_ok false\n\
toplevel $w \n\
frame $w.f -border 1 -relief raised\n\
\n\
entry $w.f.ent \\\n\
-textvariable dlist_dir \n\
bind $w.f.ent <Return> \"setDirTree $w\"\n\
tixDirList $w.f.dirlst \\\n\
-command \"setDirName $w\"\n\
pack $w.f.dirlst $w.f.ent \\\n\
-padx 20 -pady 10 \\\n\
-side top -fill both -expand yes\n\
tixButtonBox $w.btnbox -orientation horizontal \n\
$w.btnbox add ok -text \"OK\" -command \"okcmd $w\" \\\n\
-underline 0 -width 6\n\
$w.btnbox add cancel -text \"Cancel\" -command \"wm withdraw $w\" \\\n\
-underline 0 -width 6\n\
pack $w.f $w.btnbox \\\n\
-side top -fill both -expand yes\n\
if {[file isdirectory $dlist_dir]} {\n\
$w.f.dirlst chdir $dlist_dir\n\
} else {\n\
$w.f.dirlst chdir [pwd]\n\
}\n\
set dlist_dir [$w.f.dirlst cget -value]\n\
}\n\
proc setDirName {w dirname} {\n\
global dlist_dir\n\
set dlist_dir $dirname\n\
set viewrange [$w.f.ent xview]\n\
set viewdiff [expr [lindex $viewrange 1] - [lindex $viewrange 0]]\n\
$w.f.ent xview moveto [expr 1.0 - $viewdiff]\n\
}\n\
proc setDirTree {w} {\n\
global dlist_dir\n\
\n\
if {[file isdirectory $dlist_dir]} {\n\
$w.f.dirlst configure -value $dlist_dir\n\
$w.f.dirlst chdir $dlist_dir\n\
} else {\n\
puts stderr [format \"%s\" \"Value entered is not a directory\"]\n\
}\n\
}\n\
proc okcmd {w} {\n\
global dlist_dir dlist_ok\n\
set dlist_ok true\n\
wm withdraw $w \n\
cd $dlist_dir\n\
.info.l1 config -text \"Current directory: $dlist_dir\"\n\
}\n\
proc getJasonParent {} {\n\
global tcl_platform\n\
set jasonParent [format \"/apps/%s/%s/Jason\" \\\n\
$tcl_platform(os) [string range $tcl_platform(osVersion) 0 0]]\n\
return $jasonParent\n\
}\n\
set env(JASON) [getJasonParent]\n\
readsettings\n\
createGUI\n\
   ";
