#
# create a warning window which displays string
#
proc warning {string} {
  global image

    # create warning window
    set w .warning
    if [winfo exists $w] return
    toplevel $w
    set x [expr [winfo screenwidth .] /2 ]
    set y [expr [winfo screenheight .] /2 ]
    wm geometry $w +$x+$y
    set title "Warning !"
    wm title $w $title
    frame $w.title
    pack \
      [label $w.title.im -image $image(warning) -anchor center] \
      [label $w.title.title -text $title -font *-*-*-bold-i-*-18-*-*-*-*-*-*-*] \
      -side left -anchor w
    
  pack \
      $w.title \
      [label $w.l -text $string] \
      [button $w.b -text Dismiss -command {destroy .warning}]
} ;# warning

