/*
* Architecture-specific includes (fixing broken include files).
*/
#ifdef sun4
#ifdef _sys_time_h
extern int gettimeofday(struct timeval *tp,...);
#endif

/* <unistd.h> */
#ifdef	__sys_unistd_h
extern int gethostname(char *, int);
extern int select(int, fd_set *, fd_set *, fd_set *, struct timeval
*);
#endif

/* <sys/socket.h> */
#ifdef _sys_socket_h
extern int accept(int, void *, int *);
extern int bind(int, const void *, int);
extern int connect(int, const void *, int);
extern int getpeername(int, void *, int *);
extern int getsockname(int, void *, int *);
extern int listen(int, int);
extern int recvfrom(int, void *, int, int, void *, int *);
extern int sendmsg(int, const struct msghdr *, int);
extern int sendto(int, const void *, int, int, const void *, int);
extern int setsockopt(int, int, int, const void *, int);
extern int socket(int, int, int);
#endif

/* <stdlib.h> */
#ifdef	__stdlib_h
extern double drand48(void);
#endif

#endif
